REPOMANAGE(1)

BEZEICHNUNG
repomanage - Weiterleitung zum DNF-Plugin zum Verwalten von Paketquellen

Eine Paketquelle oder ein einfaches Verzeichnis von RPM-Paketen verwalten.

ÜBERSICHT

dnf repomanage [<optionale-Optionen>] [<Optionen>] <Pfad>

BESCHREIBUNG

repomanage prints newest or older packages in a repository specified by <path> for easy piping to xargs or similar programs. In case <path> doesn’t contain a valid repodata, it is searched for rpm packages which are then used instead. If the repodata are present, repomanage uses them as the source of truth, it doesn’t verify that they match the present rpm packages. In fact, repomanage can run with just the repodata, no rpm packages are needed.

In order to work correctly with modular packages, <path> has to contain repodata with modular metadata. If modular content is present, repomanage prints packages from newest or older stream versions in addition to newest or older non-modular packages.

  Optionen

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

The following options set what packages are displayed. These options are mutually exclusive, i.e. only one can be specified. If no option is specified, the newest packages are shown.

--old
    Show older packages (for a package or a stream show all versions except the newest one).

--oldonly
    Show older packages (same as –old, but exclude the newest packages even when it’s included in the older stream versions).

--new
    zeigt die neuesten Pakete an.

    Die folgenden Optionen steuern die Ansicht der Pakete in der Ausgabe:

-s, --space
    gibt den Satz der Pakete mittels Leerzeichen getrennt aus (anstelle von Zeilenvorschüben).

-k <Anzahl>, --keep <Anzahl>
    begrenzt die Ausgabe auf die angegebene <Anzahl> neuester Pakete.

BEISPIELE

Die neuesten Pakete in der aktuellen Paketquelle (bzw. dem aktuellen Verzeichnis) anzeigen:

^".ft C$
dnf repomanage --new .
^".ft P$

Die zwei neuesten Versionen jedes Paket im »Home«-Verzeichnis anzeigen:

^".ft C$
dnf repomanage --new --keep 2 ~/
^".ft P$

Die ältesten Pakete in der aktuellen Paketquelle (bzw. dem aktuellen Verzeichnis) anzeigen, durch Leerzeichen getrennt:

^".ft C$
dnf repomanage --old --space .
^".ft P$

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).